Subject: [PWE3] Questions for "CC Type3" (RFC5085) in MSPW cases

From: [email-masked]
Date: Thu, 28 Oct 2010 19:06:56 +0800

Hi all,
I have a question on "CC Type3" of RFC5085. It said that: 
 
    CC Type 3 is also referred to as "MPLS PW Label with TTL == 1".
 
    The TTL of the PW label can be set to 1 to force the packet to be
    processed within the destination router's control plane.  This
    approach could also result in a different ECMP hashing behavior and
    VCCV messages taking a different path than the PW data traffic.
 
    CC Type 3 can be used whether the PW is set-up with a Control Word
    present or not.
 
    ... ...
 
    ... ...If the Control
    Word is not in use on this PW, the VCCV message follows the PW Label
    directly.
 
But, in MS-PW, if there are lots of S-PEs, the TTL of the PW label may 
also be decreased to 1, which means there will be two "MPLS PW Label with 
TTL == 1" cases (user packets and VCCV packets) for the control plane to 
distinguish and process. 

Then how to distinguish these two cases if the Control Word is not used on 
the PW. 

Have I missed something important?

Thanks
Lizhong

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 28 Oct 2010 14:00:57 +0200

Lizhong hi,
IMO your question is explicitly addressed in Section 7 of the Segmented Pseudowires draft<http://datatracker.ietf.org/doc/draft-ietf-pwe3-segmented-pw>  (now in the RFC Editor queue),  which says:
This process [[Sasha: MPLS-PW-to-MPLS-PW switching]] can be repeated as many times as necessary, the only limitation to the number of S-PEs traversed is imposed by the TTL field of the PW MPLS Label. The setting of the TTL of the PW MPLS   label is a matter of local policy on the originating PE, but SHOULD be set to 255. However if the PW PDU contains an OAM packet then the TTL can be set to the required value as explained later in this document.
And later in Section 9.1:
As stated above the S-PE MUST perform a standard MPLS label swap operation on the MPLS PW label. By the rules
defined in [RFC3032] the PW label TTL MUST be decreased at every S-PE. Once the PW label TTL reaches the value of 0, the packet is sent to the control plane to be processed. Hence, by controlling the PW TTL value of the PW label it is possible to select exactly which S-PE will respond to the VCCV packet.

Of course, the implication here is that MS-PWs will never conttain more than 253(?) segments.

Hopefully this helps.

Regards,
     Sasha

From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, October 28, 2010 1:07 PM
To: [email-masked]
Cc: [email-masked]
Subject: [PWE3] Questions for "CC Type3" (RFC5085) in MSPW cases

Hi all,

   ... ...

   ... ...If the Control

But, in MS-PW, if there are lots of S-PEs, the TTL of the PW label may also be decreased to 1, which means there will be two "MPLS PW Label with TTL == 1" cases (user packets and VCCV packets) for the control plane to distinguish and process.

Then how to distinguish these two cases if the Control Word is not used on the PW.

Thanks
Lizhong

---

From: [email-masked]
Date: Thu, 28 Oct 2010 20:34:14 +0800

Hi Sasha,
Got it. Thank you for the explanation.

Lizhong

Alexander Vainshtein <[email-masked]> wrote on 
2010-10-28 20:00:57:

> Lizhong hi,
> IMO your question is explicitly addressed in Section 7 of the 
> Segmented Pseudowires draft  (now in the RFC Editor queue),  which says:
> This process [[Sasha: MPLS-PW-to-MPLS-PW switching]] can be repeated
> as many times as necessary, the only limitation to the number of S-
> PEs traversed is imposed by the TTL field of the PW MPLS Label. The 
> setting of the TTL of the PW MPLS   label is a matter of local 
> policy on the originating PE, but SHOULD be set to 255. However if 
> the PW PDU contains an OAM packet then the TTL can be set to the 
> required value as explained later in this document.
> As stated above the S-PE MUST perform a standard MPLS label swap 
> operation on the MPLS PW label. By the rules 
> defined in [RFC3032] the PW label TTL MUST be decreased at every S-
> PE. Once the PW label TTL reaches the value of 0, the packet is sent
> to the control plane to be processed. Hence, by controlling the PW 
> TTL value of the PW label it is possible to select exactly which S-
> PE will respond to the VCCV packet.
> 

>     directly. 
> 
> But, in MS-PW, if there are lots of S-PEs, the TTL of the PW label 
> may also be decreased to 1, which means there will be two "MPLS PW 
> Label with TTL == 1" cases (user packets and VCCV packets) for the 
> control plane to distinguish and process. 
> 
> ZTE Information Security Notice: The information contained in this 
> mail is solely property of the sender's organization. This mail 
> communication is confidential. Recipients named above are obligated 
> to maintain secrecy and are not permitted to disclose the contents 
> of this communication to others.
> This email and any files transmitted with it are confidential and 
> intended solely for the use of the individual or entity to whom they
> are addressed. If you have received this email in error please 
> notify the originator of the message. Any views expressed in this 
> message are those of the individual sender.